function [F] = SpaceSimilarity(a)

%Jedna se o funkci minimalizovanou metodou nelinearnich nejmensich ctvercu
%- parametr a je ve funkci F optimalizovan, jedna se o vypocet natoceni,
%posunuti a meritka modeloveho souradneho systemu v systemu absolutnim

%NACTENI PRIRAZOVANYCH SOURADNIC

global X                                                                    %souradnice bodu v globalnim s. s.
global Y
global Z
global xm                                                                   %souradnice bodu v modelovem s. s. 
global ym
global zm

global Xp                                                                   %rekonstrukce bodu v globalnim s. s.
global Yp
global Zp

%NEZNAME

Scale = a(1);                                                               %meritko s. s.
Omega = a(2);                                                               %uhly rotace s. s.
Fi = a(3);
Kapa = a(4);
Vx = a(5);                                                                  %posunuti s. s.                                                               
Vy = a(6);
Vz = a(7);

R = -RotMat(Omega,Fi,Kapa);                                                 %matice rotace s. s.

for i = 1:size(xm,1)

    POINTP(i,:) = [xm(i),ym(i),zm(i)];                                      %souradnice bodu v modelovem s. s.
    POINT(i,:) = [Vx,Vy,Vz]+Scale.*(transpose(R*transpose(POINTP(i,:))));   %souradnice bodu po otoceni (obsahuje promenne)
    
    Xp(i,1) = POINT(i,1);
    Yp(i,1) = POINT(i,2);
    Zp(i,1) = POINT(i,3);
    
end

F =[X-Xp;Y-Yp;Z-Zp];                                                        %minimalizovana funkce - rozdil vypocitanych souradnic bodu od souradnic v globalnim s. s.  
   
end

